﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub HP 54520 Series (1 yr) VER IEEE /9500+3Hd,DMM
DATE:                  2017-03-29 12:23:57
AUTHOR:                Fluke
REVISION:              $Revision: 19018 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       184
CONFIGURATION:         Datron 9500 (C5,S6)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Datron 9510 on channel 2
CONFIGURATION:         Datron 9510 on channel 3
CONFIGURATION:         Digital Multimeter
=============================================================================
#
#  Procedure Author:  DAC, DFM, ZY
#
#  Model(s) Covered:  54520A, 54522A, 54520C, 54522C
#
#  Source(s):         HP 54520 and 54540 Series Oscilloscopes Service Guide,
#                     Part No. 54542-97011, 2nd Edition, November 1993
#
#                     HP 54520C and 54540C Series Oscilloscopes Service Guide,
#                     Part No. 54542-97044, 1st Edition, October 1995
#
#  Compatibility:     MET/CAL 7.20 SP1 (7.20x) or later
#
#  Additional Equipment Required:
#                     Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-12, 2 ea.
#                     Adapter, BNC(f) to double-banana(m), Pomona Model 1269
#                     Formatted, blank floppy disk
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# The following statement are included to force the main procedure header
# to represent the configuration required by the subprocedures.
  1.001  IF           0
  1.002  M9500                       CH1
  1.003  9500         500MH                        1Vpp           LS    N
  1.004  M9500                       CH2
  1.005  9500         500MH                        1Vpp           LS    N
  1.006  M9500                       CH3
  1.007  9500         500MH                        1Vpp           LS    N
  1.008  IEEE         [@DMM]
  1.009  ENDIF

  1.010  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.011  ASK+           K

  1.012  MATH         @ReqMetCalVersion = "7.20x"
  1.013  CALL         Sub MET/CAL Version Check

  1.014  IF           NOT(@MetCalVersionOK)
  1.015  DISP         This procedure requires MET/CAL 7.20 SP1 (7.20x) or
  1.015  DISP         later.
  1.016  END
  1.017  ENDIF

  1.018  CALL         Sub Display Copyright
  1.019  CALL         Sub High Voltage Safety Warning
  1.020  CALL         Sub Select Failed Test Mode
  1.021  CALL         Sub Select Verification Method (No NTHROW)

  1.022  HEAD         PRELIMINARY INSTRUCTIONS
  1.023  DISP         Ensure a minimum UUT warm-up time of at least
  1.023  DISP         30 minutes has been allowed to elapse, prior
  1.023  DISP         to beginning verification.

  1.024  HEAD         EQUIPMENT REQUIREMENTS
  1.025  OPBR         -z Do you want to REVIEW the list of additional
  1.025  OPBR         equipment and/or accessories required?

  1.026  IF           MEM1
# Description of additional test equipment required to run this procedure.
  1.027  DISP         The following additional equipment and/or
  1.027  DISP         accessories are required:
  1.027  DISP
  1.027  DISP         - Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-12
  1.027  DISP         - Adapter, BNC(f) to double-banana(m), Pomona Model 1269
  1.027  DISP         - Formatted, blank floppy disk
  1.028  ENDIF

  1.029  DISP         Connect the UUT to IEEE-488 port 1 and turn it on.

  1.030  IEEE         *RST

  1.031  MATH         @UUT_Manufacturer = "Hewlett-Packard"
  1.032  MATH         @UUT_AssetNum     = UUT()

  1.033  IF           NOT(EMPTY(@UUT_AssetNum))
  1.034  MATH         @UUT_SerialNum = SN(@UUT_AssetNum)
  1.035  ENDIF

  1.036  CALL         Sub IEEE-488.2 Identification Query IEEE
  1.037  CALL         Sub IEEE-488.2 Identification Query Check Response

  1.038  IF           @Abort
  1.039  END
  1.040  ENDIF

  1.041  MATH         @MulSource = 1; @4ChUUT = 0
  1.042  CALL         Sub HP 545xx Self-test IEEE
  1.043  JMPL         END                 @Abort

  1.044  CALL         Sub HP 545xx (1 yr) DC Calibrator IEEE /DMM

  1.045  M9500                       CH1
  1.046  MATH         @Chan = 1
  1.047  PIC          hp5452_ch1_ch2_ext_trig_9500
  1.048  CALL         Sub HP 545xx (1 yr) Input Res. IEEE /9500
  1.049  M9500                       CH2
  1.050  MATH         @Chan = 2
  1.051  CALL         Sub HP 545xx (1 yr) Input Res. IEEE /9500

  1.052  M9500                       CH3
  1.053  MATH         @Chan = 2
  1.054  CALL         Sub HP 545xx (1 yr) Ext Res. IEEE /9500

  1.055  M9500                       CH1
  1.056  MATH         @Chan = 1
  1.057  CALL         Sub HP 545xx (1 yr) DCV IEEE /9500
  1.058  M9500                       CH2
  1.059  MATH         @Chan = 2
  1.060  CALL         Sub HP 545xx (1 yr) DCV IEEE /9500

  1.061  M9500                       CH1
  1.062  MATH         @Chan = 1
  1.063  CALL         Sub HP 545xx (1 yr) DC Offset IEEE /9500
  1.064  M9500                       CH2
  1.065  MATH         @Chan = 2
  1.066  CALL         Sub HP 545xx (1 yr) DC Offset IEEE /9500

  1.067  M9500                       CH1
  1.068  MATH         @Chan = 1
  1.069  CALL         Sub HP 545xx (1 yr) Analog BW IEEE /9500
  1.070  M9500                       CH2
  1.071  MATH         @Chan = 2
  1.072  CALL         Sub HP 545xx (1 yr) Analog BW IEEE /9500

  1.073  M9500                       CH1
  1.074  MATH         @Chan = 1
  1.075  CALL         Sub HP 545xx (1 yr) Timebase IEEE /9500
  1.076  CALL         Sub HP 545xx (1 yr) Trigger Sens. IEEE /9500
  1.077  M9500                       CH2
  1.078  MATH         @Chan = 2
  1.079  CALL         Sub HP 545xx (1 yr) Trigger Sens. IEEE /9500

  1.080  M9500                       CH13
  1.081  MATH         @Chan = 1
  1.082  CALL         Sub HP 545xx (1 yr) EXT Trigger IEEE /9500

  1.083  M9500                       CH1
  1.084  MATH         @Chan = 1
  1.085  CALL         Sub HP 545xx (1 yr) AUX Trigger IEEE /9500

  1.086  LABEL        END
  1.087  HEAD
  1.088  RSLT         =
  1.089  IEEE         SYST:DSP "5452xA/C Verification Done"
  1.090  IEEE         [GTL]
  1.091  DISP         Remove all connections from the UUT.

  1.092  IF           @Abort
  1.093  DISP         {V E R I F I C A T I O N  A B O R T E D !}
  1.094  ELSE
  1.095  DISP         {V E R I F I C A T I O N  C O M P L E T E !}
  1.096  ENDIF

  1.097  END
